import { FC, ReactNode } from "react";
import * as THREE from "three";
declare type RenderPipelineComponent = FC<{
    scene: THREE.Scene;
    camera: THREE.Camera;
    children?: ReactNode;
}>;
export declare const BasicRenderPipeline: RenderPipelineComponent;
export declare const FancyRenderPipeline: RenderPipelineComponent;
declare type ApplicationApi = {
    setScene: (scene: THREE.Scene | null) => void;
    setCamera: (camera: THREE.Camera | null) => void;
};
export declare const useApplication: () => ApplicationApi;
export declare const Application: FC<{
    children: ReactNode | ((api: ApplicationApi) => ReactNode);
    renderPipeline?: RenderPipelineComponent;
}>;
export {};
