import React from "react";
import { WebGLRenderer } from "three";
export declare const Renderer: React.ForwardRefExoticComponent<{
    animate?: ((callback: () => void) => void) | undefined;
    clear?: ((color?: boolean | undefined, depth?: boolean | undefined, stencil?: boolean | undefined) => void) | undefined;
    domElement?: HTMLCanvasElement | undefined;
    context?: WebGLRenderingContext | undefined;
    autoClear?: boolean | undefined;
    autoClearColor?: boolean | undefined;
    autoClearDepth?: boolean | undefined;
    autoClearStencil?: boolean | undefined;
    debug?: import("three").WebGLDebug | undefined;
    sortObjects?: boolean | undefined;
    clippingPlanes?: any[] | undefined;
    localClippingEnabled?: boolean | undefined;
    extensions?: import("three").WebGLExtensions | undefined;
    outputEncoding?: import("three").TextureEncoding | undefined;
    physicallyCorrectLights?: boolean | undefined;
    toneMapping?: import("three").ToneMapping | undefined;
    toneMappingExposure?: number | undefined;
    info?: import("three").WebGLInfo | undefined;
    shadowMap?: import("three").WebGLShadowMap | undefined;
    pixelRatio?: number | undefined;
    capabilities?: import("three").WebGLCapabilities | undefined;
    properties?: import("three").WebGLProperties | undefined;
    renderLists?: import("three").WebGLRenderLists | undefined;
    state?: import("three").WebGLState | undefined;
    xr?: import("three").WebXRManager | undefined;
    getContext?: (() => WebGLRenderingContext | WebGL2RenderingContext) | undefined;
    getContextAttributes?: (() => any) | undefined;
    forceContextLoss?: (() => void) | undefined;
    forceContextRestore?: (() => void) | undefined;
    getMaxAnisotropy?: (() => number) | undefined;
    getPrecision?: (() => string) | undefined;
    getPixelRatio?: (() => number) | undefined;
    setPixelRatio?: ((value: number) => void) | undefined;
    getDrawingBufferSize?: ((target: import("three").Vector2) => import("three").Vector2) | undefined;
    setDrawingBufferSize?: ((width: number, height: number, pixelRatio: number) => void) | undefined;
    getSize?: ((target: import("three").Vector2) => import("three").Vector2) | undefined;
    setSize?: ((width: number, height: number, updateStyle?: boolean | undefined) => void) | undefined;
    getCurrentViewport?: ((target: import("three").Vector4) => import("three").Vector4) | undefined;
    getViewport?: ((target: import("three").Vector4) => import("three").Vector4) | undefined;
    setViewport?: ((x: number | import("three").Vector4, y?: number | undefined, width?: number | undefined, height?: number | undefined) => void) | undefined;
    getScissor?: ((target: import("three").Vector4) => import("three").Vector4) | undefined;
    setScissor?: ((x: number | import("three").Vector4, y?: number | undefined, width?: number | undefined, height?: number | undefined) => void) | undefined;
    getScissorTest?: (() => boolean) | undefined;
    setScissorTest?: ((enable: boolean) => void) | undefined;
    setOpaqueSort?: ((method: (a: any, b: any) => number) => void) | undefined;
    setTransparentSort?: ((method: (a: any, b: any) => number) => void) | undefined;
    getClearColor?: ((target: import("three").Color) => import("three").Color) | undefined;
    setClearColor?: ((color: import("three").ColorRepresentation, alpha?: number | undefined) => void) | undefined;
    getClearAlpha?: (() => number) | undefined;
    setClearAlpha?: ((alpha: number) => void) | undefined;
    clearColor?: (() => void) | undefined;
    clearDepth?: (() => void) | undefined;
    clearStencil?: (() => void) | undefined;
    clearTarget?: ((renderTarget: import("three").WebGLRenderTarget, color: boolean, depth: boolean, stencil: boolean) => void) | undefined;
    resetGLState?: (() => void) | undefined;
    dispose?: (() => void) | undefined;
    renderBufferDirect?: ((camera: import("three").Camera, scene: import("three").Scene, geometry: import("three").BufferGeometry, material: import("three").Material, object: import("three").Object3D<import("three").Event>, geometryGroup: any) => void) | undefined;
    setAnimationLoop?: ((callback: import("three").XRAnimationLoopCallback | null) => void) | undefined;
    compile?: ((scene: import("three").Object3D<import("three").Event>, camera: import("three").Camera) => void) | undefined;
    render?: ((scene: import("three").Object3D<import("three").Event>, camera: import("three").Camera) => void) | undefined;
    getActiveCubeFace?: (() => number) | undefined;
    getActiveMipmapLevel?: (() => number) | undefined;
    getRenderTarget?: (() => import("three").WebGLRenderTarget | null) | undefined;
    getCurrentRenderTarget?: (() => import("three").WebGLRenderTarget | null) | undefined;
    setRenderTarget?: ((renderTarget: import("three").WebGLRenderTarget | import("three").WebGLMultipleRenderTargets | null, activeCubeFace?: number | undefined, activeMipmapLevel?: number | undefined) => void) | undefined;
    readRenderTargetPixels?: ((renderTarget: import("three").WebGLRenderTarget | import("three").WebGLMultipleRenderTargets, x: number, y: number, width: number, height: number, buffer: any, activeCubeFaceIndex?: number | undefined) => void) | undefined;
    copyFramebufferToTexture?: ((position: import("three").Vector2, texture: import("three").Texture, level?: number | undefined) => void) | undefined;
    copyTextureToTexture?: ((position: import("three").Vector2, srcTexture: import("three").Texture, dstTexture: import("three").Texture, level?: number | undefined) => void) | undefined;
    copyTextureToTexture3D?: ((sourceBox: import("three").Box3, position: import("three").Vector3, srcTexture: import("three").Texture, dstTexture: import("three").Data3DTexture | import("three").DataArrayTexture, level?: number | undefined) => void) | undefined;
    initTexture?: ((texture: import("three").Texture) => void) | undefined;
    resetState?: (() => void) | undefined;
    vr?: boolean | undefined;
    shadowMapEnabled?: boolean | undefined;
    shadowMapType?: import("three").ShadowMapType | undefined;
    shadowMapCullFace?: import("three").CullFace | undefined;
    supportsFloatTextures?: (() => any) | undefined;
    supportsHalfFloatTextures?: (() => any) | undefined;
    supportsStandardDerivatives?: (() => any) | undefined;
    supportsCompressedTextureS3TC?: (() => any) | undefined;
    supportsCompressedTexturePVRTC?: (() => any) | undefined;
    supportsBlendMinMax?: (() => any) | undefined;
    supportsVertexTextures?: (() => any) | undefined;
    supportsInstancedArrays?: (() => any) | undefined;
    enableScissorTest?: ((boolean: any) => any) | undefined;
} & {
    attach?: string | undefined;
} & {
    children?: React.ReactNode | (() => JSX.Element);
} & {
    args?: [parameters?: import("three").WebGLRendererParameters | undefined] | undefined;
} & {
    object?: WebGLRenderer | {
        dispose?: (() => void) | undefined;
    } | undefined;
} & React.RefAttributes<WebGLRenderer>>;
export declare const useRenderer: () => WebGLRenderer;
