import React, { FC, ReactNode } from "react";
export declare type TickerStage = "early" | "physics" | "fixed" | "lateFixed" | "update" | "lateUpdate" | "render";
export declare const TickerContext: React.Context<TickerImpl>;
export declare type TickerCallback = (dt: number) => void;
declare class TickerImpl {
    timeScale: number;
    fixedStep: number;
    maxDelta: number;
    lastTime: number;
    private callbacks;
    private acc;
    on(stage: TickerStage, callback: TickerCallback): void;
    off(stage: TickerStage, callback: TickerCallback): void;
    tick(time: DOMHighResTimeStamp): void;
    private execute;
}
export declare const Ticker: FC<{
    children?: ReactNode;
    timeScale?: number;
}>;
export {};
