import type { Constructor, ReactorComponent } from "./types";
declare type Reactor<Source> = {
    [K in keyof Source]: Source[K] extends Constructor ? ReactorComponent<Source[K]> : undefined;
};
/**
 * The Trinity Reactor. For every class exposed by THREE, this object contains a
 * Trinity component that wraps the class (see `makeComponent`.)
 */
export declare function makeReactor<Source extends Record<string, any>>(source: Source): Reactor<Source>;
export {};
