import { ReactorComponentProps } from "../reactor";
import { FC } from "react";
import type { ColorRepresentation, Mesh } from "three";
declare type TextProps = ReactorComponentProps<typeof Mesh> & Partial<{
    children: string;
    characters: string;
    color: ColorRepresentation;
    fontSize: number;
    maxWidth: number;
    lineHeight: number;
    letterSpacing: number;
    textAlign: "left" | "right" | "center" | "justify";
    font: string;
    anchorX: number | "left" | "center" | "right";
    anchorY: number | "top" | "top-baseline" | "middle" | "bottom-baseline" | "bottom";
    clipRect: [number, number, number, number];
    depthOffset: number;
    direction: "auto" | "ltr" | "rtl";
    overflowWrap: "normal" | "break-word";
    whiteSpace: "normal" | "overflowWrap" | "overflowWrap";
    outlineWidth: number | string;
    outlineOffsetX: number | string;
    outlineOffsetY: number | string;
    outlineBlur: number | string;
    outlineColor: ColorRepresentation;
    outlineOpacity: number;
    strokeWidth: number | string;
    strokeColor: ColorRepresentation;
    strokeOpacity: number;
    text: string;
    fillOpacity: number;
    debugSDF: boolean;
}>;
export declare const Text: FC<TextProps>;
export {};
